Name:           python-lark
Version:        1.1.7
Release:        1%{?dist}
Summary:        Lark is a parsing toolkit for Python, built with a focus on ergonomics, performance and modularity
#SPDX
License:        MIT
URL:            https://github.com/lark-parser/lark
Source0:         %{pypi_source lark}


BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
Lark is a parsing toolkit for Python, built with a focus on ergonomics,
performance and modularity. Lark can parse all context-free languages. To put
it simply, it means that it is capable of parsing almost any programming
language out there, and to some degree most natural languages too.}

%description %_description

%package -n python3-lark
Summary:        %{summary}

%description -n python3-lark %_description


%prep
%autosetup -p1 -n lark-%{version}
# Remove optional tests, nearley is not available in Fedora
rm -rf     tests/test_nearley/


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files lark


%check
%pytest


%files -n python3-lark -f %{pyproject_files}
%doc README.*


%changelog
* Wed Jul 26 2023 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.1.7-1
- Initial package

